## org.apache.commons.collections.iterators
Class AbstractIteratorDecorator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractIteratorDecorator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  AbstractDualBidiMap.EntrySetIterator, AbstractDualBidiMap.KeySetIterator, AbstractDualBidiMap.ValuesIterator

    public class AbstractIteratorDecorator

extends java.lang.Object
implements java.util.Iterator

Provides basic behaviour for decorating an iterator with extra functionality.

All methods are forwarded to the decorated iterator.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  James Strachan, Stephen Colebourne

Field Summary
`protected java.util.Iterator` `iterator` The iterator being decorated

Constructor Summary
`AbstractIteratorDecorator(java.util.Iterator iterator)` Constructor that decorates the specified iterator.

Method Summary
`protected java.util.Iterator` `getIterator()` Gets the iterator being decorated.
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected final java.util.Iterator iterator

  The iterator being decorated

Constructor Detail

### AbstractIteratorDecorator

    public AbstractIteratorDecorator(java.util.Iterator iterator)

  Constructor that decorates the specified iterator.

  Parameters:
    `iterator` - the iterator to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if the collection is null

Method Detail

### getIterator

    protected java.util.Iterator getIterator()

  Gets the iterator being decorated.

  Returns:
    the decorated iterator

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.